Bug 618074 - StackOverflowException in JavaProjectModule - solved upstream
StackOverflowException in JavaProjectModule - solved upstream
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: netbeans (Show other bugs)
12
All Linux
low Severity urgent
: ---
: ---
Assigned To: Victor G. Vasilyev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-25 22:15 EDT by Marcin Rzeźnicki
Modified: 2010-12-03 08:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:04:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcin Rzeźnicki 2010-07-25 22:15:17 EDT
There is a bug (http://netbeans.org/bugzilla/show_bug.cgi?id=154894) in the version which we have in Fedora 12. This bug is related to http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6882582. Anyway, this has been long fixed as can be seen in the bug report I provided. They provided binary attachment http://netbeans.org/bugzilla/attachment.cgi?id=90031 which reportedly fixed the issue. I have been using this and  can confirm. Source attachment is also provided: http://bugzilla-attachments-154894.netbeans.org/bugzilla/attachment.cgi?id=90030. This REALLY needs to be applied to Fedora version as soon as possible.
Comment 1 Victor G. Vasilyev 2010-08-02 03:37:57 EDT
AFAIK the bug is fixed in the NetBeans 6.8.
What is a reason to use old version of the NetBeans IDE?
Could the following instructions help you:
http://wiki.netbeans.org/Fedora/How_To/Install_NetBeans_6.7.1_and_NetBeans_6.8_on_Fedora_12
?
Comment 2 Marcin Rzeźnicki 2010-08-03 18:57:22 EDT
Hmm, call me stupid but I've always thought that Netbeans 6.7.1 is the only netbeans version "officially supported" on Fedora 12 platform. Basically, that's what I see when querying main repository. If that's the case then I assume that this nasty bug be definitely fixed. Could you perhaps explain the status of netbeans 8 on this fedora version?
Comment 3 Bug Zapper 2010-11-03 07:34:46 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 08:04:37 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.